Summary: Collection of tools to bot GitLab API.
Name: gitlab-bot-tools
Version: 0.2
Release: 1
URL: https://git.labs.zkk.tuwien.ac.at/sw/gitlab-bot-tools
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires(pre): coreutils
Requires: bash-base
Requires: jq

%description
Collection of bot tools for GitLab. Currently this tools need
python-gitlab version > 2.5.0

%prep
%setup -q

%build

%install

# rpm path macros:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/RPMMacros/

rm -rf %{buildroot}
mkdir -p \
      %{buildroot}/%{_bindir} \
      %{buildroot}/%{_libexecdir}/%{name} \
      %{buildroot}/usr/share/doc/%{name}-%{version}
cp -a bin/. %{buildroot}/%{_bindir}
cp -a libexec/. %{buildroot}/%{_libexecdir}/%{name}/.
cp -a doc/. %{buildroot}/usr/share/doc/%{name}-%{version}/.

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libexecdir}/%{name}/*
%doc /usr/share/doc/%{name}-%{version}
